summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:09 +0000
committerVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:09 +0000
commit6da28b3dd2fa041cab35b9df2f9974e1fe5f3ca1 (patch)
tree4f74aed3868d6c8716873d10e17161423494cc9e /dmake/tests
parentd46698a4c720a2fb02b4ec0a8fa9e02f9a45ecd7 (diff)
INTEGRATION: CWS dmake47 (1.1.2); FILE ADDED
2006/11/19 21:10:41 vq 1.1.2.1: #i71704# Add testcase and documentation.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/misc-1742
1 files changed, 42 insertions, 0 deletions
diff --git a/dmake/tests/misc-17 b/dmake/tests/misc-17
new file mode 100755
index 000000000000..158b11575752
--- /dev/null
+++ b/dmake/tests/misc-17
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# 19.11.2006 Volker Quetschke
+# Check that a global .SEQUENTIAL attribute enforces MAXPROCESS=1.
+# (issue 71704)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="my.inc"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL=/bin/sh
+SHELLFLAGS=-c
+
+my.inc :
+ @+echo "MYMAXPROCESS!:=\$(MAXPROCESS)" > my.inc
+
+.INCLUDE : my.inc
+
+all:
+ @+echo "MYMAXPROCESS:\$(MYMAXPROCESS):"
+
+EOT
+
+output=`eval ${DMAKEPROG} -S -P2 -rf $file1 all`
+result=$?
+
+if test "$output" != "MYMAXPROCESS:1:"; then
+ echo "Wrong result: $output - expecting: MYMAXPROCESS:1:"
+ result=1
+fi
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result